#
# spec file for package perl-Code-DRY
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Code-DRY
Version:        0.10
Release:        1.31
%define cpan_name Code-DRY
Summary:        Cut-and-Paste-Detector for Perl code
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/H/HE/HEXCODER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(Module::Build) >= 0.190000
BuildRequires:  perl(TAP::Harness)
Requires:       perl(ExtUtils::CBuilder)
Requires:       perl(Module::Build) >= 0.190000
Requires:       perl(TAP::Harness)
%{perl_requires}

%description
The module's main purpose is to report repeated text fragments (typically
Perl code) that could be considered for isolation and/or abstraction in
order to reduce multiple copies of the same code (aka cut and paste code).

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Build.PL installdirs=vendor optimize="%{optflags}"
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Mon May 13 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.10
  see /usr/share/doc/packages/perl-Code-DRY/Changes
  0.10
  - yet another fix for Build.PL, sigh
  0.09
  - bugfix #129533: disable hard link detection on Windows (but not on cygwin). Thanks Shawn
  0.08
  - fix Build.PL syntax for older versions
* Fri May 10 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.07
  see /usr/share/doc/packages/perl-Code-DRY/Changes
  0.07
  - fix bugs found on OpenBSD
* Sun Apr 14 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.06
  see /usr/share/doc/packages/perl-Code-DRY/Changes
  0.06
  - fix a test for older Perls
* Sat Apr 13 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.05
  see /usr/share/doc/packages/perl-Code-DRY/Changes
  0.05
  - Version 0.04 had some ugly bugs that were masked by my testing. Thanks to CPANTS testers.
  - bugfixes in salcpis.c and DRY.xs
* Thu Apr 11 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.04
  see /usr/share/doc/packages/perl-Code-DRY/Changes
  0.04
  - Build.PL added
  - documentation fixes
  - increase test coverage
  - exclude symbolically or hard linked files
* Mon Feb 19 2018 jengelh@inai.de
- Compact description.
* Wed Jan 25 2017 okurz@suse.com
- Initial submission of Code::DRY version 0.03
